/*div {outline: 1px dotted orange;}
img {outline: 1px dotted cyan;}*/

.map-viewport, .map-container {
    position: relative;
    padding:0;
    overflow: hidden;
    /*transform: scale(.5);*/
}
.map-viewport-full, .map-viewport-full {
    height: calc(100*var(--vh-container));
}
.arrow{
    position:absolute;
    top:0;
    left:0;
    z-index:500;
}
.arrow img {
    width: 40px;
    filter: drop-shadow(8px 8px 4px #0000009e);
}
.mapt{
    /*position:absolute;*/
    /*transform-origin: center;*/
    /*animation: roll 5s infinite;*/
    /*transform: scale(.5);*/
}
.mapt svg {
    transform: translateZ(0);
}
/*#m div:nth-child(1) div:nth-child(4) div{
    transform: translateZ(0)!important;
}*/

@keyframes roll {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}


/*img[title^="Filtr:"]{filter: grayscale(100%); opacity:0.6;}
div[title^="Filtr:"]{filter: grayscale(100%); opacity:0.6;}*/
.filtered {
    filter: invert(.3) grayscale(1)!important;
}


#map .card {
    background-color: #4c4c4c!important;
    color: white;
    outline: 1px solid #6b6b6b;
    padding: 0!important;
    -webkit-box-shadow: 25px 36px 40px 0px rgb(0 0 0 / 75%);
    -moz-box-shadow: 25px 36px 40px 0px rgba(0,0,0,0.75);
    box-shadow: 25px 36px 40px 0px rgb(0 0 0 / 75%);    
}

/*.smap .card-header div {
    font-size:.75rem;
    padding: .25rem;
    margin-top: .25rem;
    background-color:#f1f1f1;
    word-break: break-all;
}*/
#map .card-header {
    
}
#map .card-header img {
    height: 20px;
    margin-right: .5rem;
}
.card-vk {
    align-self: center;
    font-size: 1.1rem;
    color: #969696; 
    font-weight: 600;
}
#map .card-body {
    /*background-color: rgb(241, 241, 241)!important;*/
    font-size: .8rem;
    overflow-x: hidden!important;
}
.card-name {
    padding: .1rem;
    background-color: #4c4c4c;
    font-size: .8rem;
}
.card-points {
    background-color: #343a40;
    padding: 1px;
}
.card-points div {
    background-color: #7d1172;
    color: #f8f9fa;
    text-align: center;
    padding: 0.2rem;
    border: 1px solid #fff;
}

.card-footer {
    background-color: #4c4c4c;
    padding: .25rem 0 0 0;
}



.btn-zoom {
    font-size: 1.5rem;
    font-weight: bold;
    color: white;
}
.btn-zoom2 {
    font-size: 1rem;
    font-weight: bold;
    color: white;
}
.btn-label {
    font-size: .35rem;
}
    
.crosscoords-wrapper{
    position: absolute;
    left: 0;
    top: 0;
    background-image: linear-gradient(0deg,transparent, #000000);
    width: 100%;
    height: 2rem;
    padding-top: .25rem;
    color: white;
    text-align: center!important;
    z-index: 90;
}
.crosscoords {
    color: white;
    font-size: 1.2rem;
    display: inline!important;
}

.zoom-slider {   
   position: absolute;
   transform: rotate(270deg) translateZ(0);
   z-index: 1000;   
}
.zoom-slider input[type="range"] {

}
input[type=range] {
  -webkit-appearance: none;
  width: 100%;
  margin: 9.55px 0;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 10.9px;
  cursor: pointer;
  box-shadow: 0.1px 0.1px 0px #000000, 0px 0px 0.1px #0d0d0d;
  background: rgba(0, 0, 0, 0.65);
  border-radius: 6.9px;
  border: 0.9px solid #ffffff;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.95), 0px 0px 0px rgba(13, 13, 13, 0.95);
  border: 0.1px solid #000000;
  height: 30px;
  width: 30px;
  border-radius: 30px;
  background: #ffffff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -10.45px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: rgba(13, 13, 13, 0.65);
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 10.9px;
  cursor: pointer;
  box-shadow: 0.1px 0.1px 0px #000000, 0px 0px 0.1px #0d0d0d;
  background: rgba(0, 0, 0, 0.65);
  border-radius: 6.9px;
  border: 0.9px solid #ffffff;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.95), 0px 0px 0px rgba(13, 13, 13, 0.95);
  border: 0.1px solid #000000;
  height: 30px;
  width: 30px;
  border-radius: 30px;
  background: #ffffff;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 10.9px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: rgba(0, 0, 0, 0.65);
  border: 0.9px solid #ffffff;
  border-radius: 13.8px;
  box-shadow: 0.1px 0.1px 0px #000000, 0px 0px 0.1px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  background: rgba(0, 0, 0, 0.65);
  border: 0.9px solid #ffffff;
  border-radius: 13.8px;
  box-shadow: 0.1px 0.1px 0px #000000, 0px 0px 0.1px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.95), 0px 0px 0px rgba(13, 13, 13, 0.95);
  border: 0.1px solid #000000;
  height: 30px;
  width: 30px;
  border-radius: 30px;
  background: #ffffff;
  cursor: pointer;
  height: 10.9px;
}
input[type=range]:focus::-ms-fill-lower {
  background: rgba(0, 0, 0, 0.65);
}
input[type=range]:focus::-ms-fill-upper {
  background: rgba(13, 13, 13, 0.65);
}

.icon-drag::before {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    content: "\f0b2";
    color: #a0a0a0;
    margin-right: .3em;
}

.icon-location::before {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    content: "\f3c5";
    color: #205278;
    margin-right: .3em;
}

#mapclose::before {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    content: "\f00d";
    color: #a0a0a0;
    margin-right: .5em;
}


#map .leaflet-div-icon {
    width:0;
    height:0;
    border: 0;
    padding: 0;
}

#map .leaflet-popup-content {
    margin: 0!important;
}

#map .leaflet-popup-content-wrapper {
    padding: 0!important;
}

#map .leaflet-popup-content .card {
    width: 240px;
    line-height: 1;
}

#map .leaflet-popup-tip {
    background-color: #3d3d3d!important;
}

#map .marker-div {
    filter: drop-shadow(5px 5px 5px #0000009e)
}
#map .marker-out img {
    /*filter: drop-shadow(1px 1px 0 white) drop-shadow(-1px 1px 0 #ffffff9e) drop-shadow(1px -1px 0 white) drop-shadow(-1px -1px 0 white);*/
    filter: drop-shadow(0px 0px 1px #ffffff9e) drop-shadow(0px 0px 0 #ffffff9e) drop-shadow(0px 0px 0 #ffffff9e) drop-shadow(0px 0px 0 #ffffff9e);
    /* filter: drop-shadow(0px 0px 1px #ffffff9e);*/
}

.wp-map {
    background-color: #cdecfd;
    padding: 0 0 1em 0;
    border: 4px solid #0082cb;
    border-radius: .5em;
    box-shadow: 0px 0px 20px 20px rgb(0 0 0 / 48%);
}
